> ## Documentation Index
> Fetch the complete documentation index at: https://www.activepieces.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Suggested Models for a Key

> Suggest model ids for a key whose provider has no model list (Other, OpenAI compatible).



## OpenAPI

````yaml GET /v1/ai-providers/configs/{id}/suggested-models
openapi: 3.1.0
info:
  title: Activepieces Documentation
  version: 0.0.0
servers:
  - url: https://cloud.activepieces.com/api
    description: Production Server
security: []
externalDocs:
  url: https://www.activepieces.com/docs
  description: Find more info here
paths:
  /v1/ai-providers/configs/{id}/suggested-models:
    get:
      tags:
        - ai-providers
      description: >-
        Suggest model ids for a key whose provider has no model list (Other,
        OpenAI compatible).
      parameters:
        - schema:
            type: string
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: string
      security:
        - apiKey: []
components:
  securitySchemes:
    apiKey:
      type: http
      description: Use your api key generated from the admin console
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.